package com.ruoyi.app.mapper;

import com.ruoyi.app.domain.AppLocation;

import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public interface AppLocationMapper
{
    /**
     * 查询【请填写功能名称】
     *
     * @param locationId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    AppLocation selectAppLocationByLocationId(String locationId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appLocation 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    List<AppLocation> selectAppLocationList(AppLocation appLocation);

    /**
     * 新增【请填写功能名称】
     *
     * @param appLocation 【请填写功能名称】
     * @return 结果
     */
    int insertAppLocation(AppLocation appLocation);

    /**
     * 批量保存数据
     * @param appLocationList 数据列表
     * @return 结果
     */
    int insertAppLocationBatch(List<AppLocation> appLocationList);

    /**
     * 修改【请填写功能名称】
     *
     * @param appLocation 【请填写功能名称】
     * @return 结果
     */
    int updateAppLocation(AppLocation appLocation);

    /**
     * 删除【请填写功能名称】
     *
     * @param locationId 【请填写功能名称】主键
     * @return 结果
     */
    int deleteAppLocationByLocationId(String locationId);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param locationIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAppLocationByLocationIds(String[] locationIds);

    Map<String, Integer> countAvailableStock();

    /**
     * 根据id查询货位
     * @param locationIds
     * @return
     */
    List<AppLocation> selectAppLocationListByLocationIds(String[] locationIds);

    List<AppLocation> selectFreeLoc();
}
